Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-2462

Configure which parsers are used

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Component/s: warnings-plugin
    • Labels:
      None
    • Environment:
      Platform: All, OS: All
    • Similar Issues:

      Description

      My understanding is that the warnings plugin will apply all its parsers against
      Hudson's log files. For us, this has lead to the problem of false positives in
      the warnings results.

      We are using the Eclipse compiler after upgrading the warnings plugin from our
      local hacked version (I added Eclipse compiler support I while ago) to 1.19, we
      are now getting false warnings from the MSBuild parser generated by log lines
      that have nothing to do with compilation.

      It would be great if we could control which parsers are used during the run of
      the warnings plugin.

        Attachments

          Activity

          Hide
          drulli Ulli Hafner added a comment -

          Wouldn't it be easier to update the regular expression that is cause for the
          false positive? Could you please attach the log line that causes the problem?

          Show
          drulli Ulli Hafner added a comment - Wouldn't it be easier to update the regular expression that is cause for the false positive? Could you please attach the log line that causes the problem?
          Hide
          drulli Ulli Hafner added a comment -

          Fixed in trunk.

          Show
          drulli Ulli Hafner added a comment - Fixed in trunk.

            People

            Assignee:
            drulli Ulli Hafner
            Reporter:
            stevendick stevendick
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: